#!/bin/sh
-die () {
- echo >&2 "$*"
- exit 1
-}
-
-usage() {
- die "usage: git add [-n] [-v] <file>..."
-}
+USAGE='[-n] [-v] <file>...'
+SUBDIRECTORY_OK='Yes'
+. git-sh-setup
show_only=
verbose=
-v)
verbose=--verbose
;;
+ --)
+ shift
+ break
+ ;;
-*)
usage
;;
shift
done
-GIT_DIR=$(git-rev-parse --git-dir) || exit
+# Check misspelled pathspec
+case "$#" in
+0) ;;
+*)
+ git-ls-files --error-unmatch --others --cached -- "$@" >/dev/null || {
+ echo >&2 "Maybe you misspelled it?"
+ exit 1
+ }
+ ;;
+esac
if test -f "$GIT_DIR/info/exclude"
then